Subject: [Shop-talk] New Generator

From: john Mitchell <[email-masked]>
Date: Sun, 01 Dec 2013 15:33:25 -0500

My 30 year old, 5000 watt Yamaha Generator has about had it and I want 
to buy a new Generator for emergency use at home.  I have a 30 amp 
transfer switch installed so I want to stay in the 5000 to 8000 watt 
range.  Anyone have a recommendation for a good unit. I'm hoping for no 
storms until I get this done.  Thanks,  John Mitchell Shelton, CT
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive